Last Comment Bug 679271 - Intermittent a11y/accessible/events/test_tree.xul | Test timed out, sometimes with a leak
: Intermittent a11y/accessible/events/test_tree.xul | Test timed out, sometimes...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla10
Assigned To: alexander :surkov
:
Mentors:
Depends on:
Blocks: a11yrandomorange 438871
  Show dependency treegraph
 
Reported: 2011-08-15 22:48 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
enable logging (3.25 KB, patch)
2011-10-05 09:04 PDT, alexander :surkov
mzehe: review+
Details | Diff | Review
patch (1.23 KB, patch)
2011-10-10 22:34 PDT, alexander :surkov
mzehe: review+
Details | Diff | Review

Description Phil Ringnalda (:philor) 2011-08-15 22:48:26 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1313451229.1313454933.20357.gz
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011/08/15 16:33:49
s: talos-r3-fed64-026

2995 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | test with ID = 'insertRow: TreeRowCountChanged' failed. No TreeRowCountChanged event.
2996 INFO TEST-PASS | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | test with ID = 'TreeInvalidated on insertRow' failed. No TreeInvalidated event.
--DOMWINDOW == 61 (0x35007b8) [serial = 115] [outer = 0x2cbf820] [url = about:blank]
--DOMWINDOW == 60 (0x2b85a98) [serial = 114] [outer = 0x2cbf820] [url = about:blank]
--DOMWINDOW == 59 (0x2cbf898) [serial = 113] [outer = (nil)] [url = about:blank]
2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 1 Treeherder Robot 2011-08-16 02:03:25 PDT
Ms2ger%gmail.com
http://tbpl.mozilla.org/php/getParsedLog.php?id=5984922
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-15 23:47:09

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 2 Treeherder Robot 2011-08-16 07:11:14 PDT
ehsan
http://tbpl.mozilla.org/php/getParsedLog.php?id=5988652
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-16 05:21:35

2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 3 Treeherder Robot 2011-08-16 07:30:51 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1313459304.1313463687.19731.gz
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011/08/15 18:48:24

s: talos-r3-fed64-004
2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 4 Treeherder Robot 2011-08-16 23:24:26 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=5993912
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-16 12:38:04

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 10010 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of CondVar with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of Connection with size 200 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of HttpBaseChannel with size 664 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 10 instances of Mutex with size 24 bytes each (240 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of ReentrantMonitor with size 32 bytes each (128 bytes total)
Comment 5 Treeherder Robot 2011-08-17 00:56:16 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1313511959.1313515968.16303.gz
Rev3 Fedora 12x64 fx-team debug test mochitest-other on 2011/08/16 09:25:59

s: talos-r3-fed64-055
2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 6 Treeherder Robot 2011-08-18 00:09:04 PDT
ttaubert
http://tbpl.mozilla.org/php/getParsedLog.php?id=6012439
Rev3 Fedora 12x64 fx-team debug test mochitest-other on 2011-08-17 22:10:37

10849 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Test timed out.
3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 7 Treeherder Robot 2011-08-18 00:11:33 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1313644237.1313648455.25962.gz
Rev3 Fedora 12x64 fx-team debug test mochitest-other on 2011/08/17 22:10:37

s: talos-r3-fed64-047
10849 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Test timed out.
3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 8 Treeherder Robot 2011-08-18 07:13:04 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1313671861.1313675824.14347.gz
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011/08/18 05:51:01

s: talos-r3-fed64-040
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 9 Treeherder Robot 2011-08-18 20:23:03 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6025223
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-08-18 17:11:39

3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 10 Treeherder Robot 2011-08-19 14:33:04 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1313780924.1313784690.9245.gz
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011/08/19 12:08:44

s: talos-r3-fed64-025
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 11 Treeherder Robot 2011-08-19 15:19:32 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6037862
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-19 12:08:44

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 12 Treeherder Robot 2011-08-21 13:13:04 PDT
ttaubert
http://tinderbox.mozilla.org/showlog.cgi?log=Fx-Team/1313952738.1313957323.20274.gz
Rev3 WINNT 6.1 fx-team debug test mochitest-other on 2011/08/21 11:52:18

s: talos-r3-w7-063
3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 13 Treeherder Robot 2011-08-21 14:34:49 PDT
mbrubeck%mozilla.com
http://tbpl.mozilla.org/php/getParsedLog.php?id=6059350
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-21 12:41:12

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 14 Treeherder Robot 2011-08-21 18:14:25 PDT
edmorley
http://tbpl.mozilla.org/php/getParsedLog.php?id=6059442
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-21 13:06:00

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 15 Treeherder Robot 2011-08-22 14:05:39 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6070971
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-22 11:29:11

1762 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/content/xul/content/test/test_bug330705-2.xul | The first box element is still focused after blur() has been called on the second box element
3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 16 Treeherder Robot 2011-08-22 15:10:56 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6073235
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-22 13:29:00

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 17 Treeherder Robot 2011-08-22 15:12:19 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6073235
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-08-22 13:29:00

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 18 Treeherder Robot 2011-08-22 15:49:34 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6070784
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-08-22 11:11:59

3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 19 Treeherder Robot 2011-08-23 07:37:38 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6085417
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-23 06:29:10

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 20 Treeherder Robot 2011-08-24 09:51:12 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6104797
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-24 08:21:32

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 21 Treeherder Robot 2011-08-24 10:12:06 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6105223
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-08-24 08:35:53

3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 22 Treeherder Robot 2011-08-24 22:16:49 PDT
dholbert
http://tbpl.mozilla.org/php/getParsedLog.php?id=6115046
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-08-24 20:50:56

25959 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_taskbarprogress_service.xul | The active taskbar progress is not the Download Manager - got true, expected false
25960 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_taskbarprogress_service.xul | DownloadTaskbarProgress has the expected taskbar as active - got [xpconnect wrapped nsITaskbarProgress @ 0x23cf27e8 (native @ 0x23899dc4)], expected [xpconnect wrapped nsITaskbarProgress @ 0x13528f78 (native @ 0x838ebd4)]
3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 23 Treeherder Robot 2011-08-25 04:22:36 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1314265003.1314268726.26317.gz
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011/08/25 02:36:43

s: talos-r3-fed64-037
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 24 Treeherder Robot 2011-08-25 12:56:55 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6126346
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-25 11:45:58

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 25 Treeherder Robot 2011-08-25 12:57:08 PDT
mbrubeck%mozilla.com
http://tbpl.mozilla.org/php/getParsedLog.php?id=6126346
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-25 11:45:58

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 26 Treeherder Robot 2011-08-25 20:43:56 PDT
bz%mit.edu
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Aurora/1314325233.1314328989.32135.gz
Rev3 Fedora 12x64 mozilla-aurora debug test mochitest-other on 2011/08/25 19:20:33

s: talos-r3-fed64-038
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 27 Treeherder Robot 2011-08-25 21:47:23 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6133364
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-25 20:39:00

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 28 Treeherder Robot 2011-08-26 02:21:43 PDT
mak77%bonardo.net
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Inbound/1314341335.1314345928.13336.gz
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011/08/25 23:48:55

s: talos-r3-w7-017
3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 29 Treeherder Robot 2011-08-26 04:56:51 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6132320
Rev3 Fedora 12x64 mozilla-aurora debug test mochitest-other on 2011-08-25 19:20:33

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 30 Treeherder Robot 2011-08-26 10:31:44 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6141486
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-26 09:13:16

10861 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Test timed out.
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 31 Treeherder Robot 2011-08-26 15:50:05 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6147902
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-08-26 14:28:17

10861 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Test timed out.
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 32 Treeherder Robot 2011-08-29 08:18:01 PDT
philor
http://tbpl.mozilla.org/php/getParsedLog.php?id=6169440
Rev3 Fedora 12x64 try debug test mochitest-other on 2011-08-29 03:08:20

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 33 Treeherder Robot 2011-09-01 00:46:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6207305
Rev3 Fedora 12x64 mozilla-aurora debug test mochitest-other on 2011-08-31 02:16:35

2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 34 Treeherder Robot 2011-09-05 19:59:15 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6256926
Rev3 Fedora 12x64 mozilla-central debug test mochitest-other on 2011-09-02 17:00:26

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 35 Treeherder Robot 2011-09-07 12:38:09 PDT
mccr8
https://tbpl.mozilla.org/php/getParsedLog.php?id=6315503
Rev3 Fedora 12x64 mozilla-aurora debug test mochitest-other on 2011-09-07 10:51:20

2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 36 Treeherder Robot 2011-09-07 17:45:26 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6321079
Rev3 Fedora 12x64 mozilla-inbound debug test mochitest-other on 2011-09-07 16:03:51

3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 37 Treeherder Robot 2011-09-08 03:38:07 PDT
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=6326604
Rev3 Fedora 12x64 try debug test mochitest-other on 2011-09-08 01:26:02

10825 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Test timed out.
3019 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 38 Treeherder Robot 2011-09-09 22:24:39 PDT
mfinkle%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6352999
Rev3 Fedora 12x64 mozilla-aurora debug test mochitest-other on 2011-09-09 11:47:44

10845 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/layout/generic/test/test_bug632379.xul | Test timed out.
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 39 Treeherder Robot 2011-09-09 22:25:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6359620
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-09-09 19:33:06

26004 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_taskbarprogress_service.xul | The active taskbar progress is not the Download Manager - got true, expected false
26005 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_taskbarprogress_service.xul | DownloadTaskbarProgress has the expected taskbar as active - got [xpconnect wrapped nsITaskbarProgress @ 0x17fec640 (native @ 0x2546f07c)], expected [xpconnect wrapped nsITaskbarProgress @ 0x252b5b58 (native @ 0x79ce2b4)]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 38, expected 46
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 39, expected 47
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 40, expected 48
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 41, expected 49
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 42, expected 50
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 43, expected 51
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 44, expected 52
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 45, expected 38
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 46, expected 39
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 47, expected 40
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 48, expected 52
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 49, expected 42
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 50, expected 43
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 51, expected 44
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/mozapps/extensions/test/browser/browser_select_selection.js | Should have been in the right position - Got 52, expected 45
3029 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 40 Treeherder Robot 2011-09-12 15:41:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6369636
Rev3 WINNT 6.1 build-system debug test mochitest-other on 2011-09-11 03:40:23

3018 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 41 Treeherder Robot 2011-09-14 11:26:50 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6399525&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-09-14 10:00:03

3029 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 42 Treeherder Robot 2011-09-14 14:57:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6402562&tree=Firefox
Rev3 WINNT 6.1 mozilla-central debug test mochitest-other on 2011-09-14 13:14:05

3029 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 43 Treeherder Robot 2011-09-23 14:38:06 PDT
graememcc_firefox%graeme-online.co.uk
https://tbpl.mozilla.org/php/getParsedLog.php?id=6525588&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-09-23 13:09:48

3029 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 44 Treeherder Robot 2011-09-27 16:19:50 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6580699&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitest-other on 2011-09-27 14:28:13

2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 45 Treeherder Robot 2011-09-30 07:02:31 PDT
jwalker%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6625028&tree=Try
Rev3 WINNT 6.1 try debug test mochitest-other on 2011-09-30 04:33:01

3029 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 46 Treeherder Robot 2011-10-04 09:07:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6671088&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test mochitest-other on 2011-10-04 06:22:47

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1982395 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of AsyncStatement with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1741 instances of AtomImpl with size 20 bytes each (34820 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of BasicCanvasLayer with size 324 bytes each (648 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of BasicContainerLayer with size 340 bytes each (680 bytes total)
4149 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1327443 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1479 instances of AtomImpl with size 20 bytes each (29580 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of FontTableBlobData with size 12 bytes each (96 bytes total)
Comment 47 Treeherder Robot 2011-10-04 20:30:17 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6679597&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test mochitest-other on 2011-10-04 18:29:39

4191 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1416879 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1503 instances of AtomImpl with size 20 bytes each (30060 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 15 instances of FontTableBlobData with size 12 bytes each (180 bytes total)
Comment 48 alexander :surkov 2011-10-05 00:33:00 PDT
enable logging for the test on inbound https://hg.mozilla.org/integration/mozilla-inbound/rev/d5954910540e

please don't mark as fixed
Comment 49 Marco Bonardo [::mak] 2011-10-05 05:15:25 PDT
https://hg.mozilla.org/mozilla-central/rev/d5954910540e
Comment 50 Marco Bonardo [::mak] 2011-10-05 08:17:52 PDT
I had to backout the logging you pushed in comment 48 since it caused mochitest-other on Windows and Linux debug to permanetly leak... I wonder if you should take a deeper look at what a11y logging does if it causes perma leaks.
Comment 51 alexander :surkov 2011-10-05 08:21:43 PDT
I have logs and will look closer, thank you for backing out it.
Comment 52 alexander :surkov 2011-10-05 09:04:56 PDT
Created attachment 564874 [details] [diff] [review]
enable logging
Comment 53 alexander :surkov 2011-10-05 19:16:49 PDT
enable loggin inbound land https://hg.mozilla.org/integration/mozilla-inbound/rev/2db0dafb8f30
Comment 54 Treeherder Robot 2011-10-06 05:29:35 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6702510&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-10-06 04:01:47

4191 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1445751 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1508 instances of AtomImpl with size 20 bytes each (30160 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 55 Ed Morley [:emorley] 2011-10-06 08:38:06 PDT
(In reply to alexander surkov from comment #53)
> enable loggin inbound land
> https://hg.mozilla.org/integration/mozilla-inbound/rev/2db0dafb8f30

https://hg.mozilla.org/mozilla-central/rev/2db0dafb8f30

Leaving open since logging only.
Comment 56 Treeherder Robot 2011-10-06 21:25:47 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6713640&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitest-other on 2011-10-06 15:52:19

2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 57 Treeherder Robot 2011-10-07 05:41:37 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6723785&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-10-07 03:35:47

4279 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1429003 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1509 instances of AtomImpl with size 20 bytes each (30180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 58 Treeherder Robot 2011-10-07 06:54:39 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=6725007&tree=Try
Rev3 WINNT 6.1 try debug test mochitest-other on 2011-10-07 04:58:41

4268 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1429027 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1509 instances of AtomImpl with size 20 bytes each (30180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 59 Treeherder Robot 2011-10-07 12:08:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6730509&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-10-07 10:31:44

4268 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1422447 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1509 instances of AtomImpl with size 20 bytes each (30180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 60 Treeherder Robot 2011-10-08 07:55:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6743986&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-10-08 03:11:54

4274 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1422375 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1509 instances of AtomImpl with size 20 bytes each (30180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 61 Treeherder Robot 2011-10-08 08:20:44 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=6740717&tree=Fx-Team
Rev3 Fedora 12 fx-team debug test mochitest-other on 2011-10-07 22:33:49

4226 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1314223 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1484 instances of AtomImpl with size 20 bytes each (29680 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of FontTableBlobData with size 12 bytes each (144 bytes total)
Comment 62 Treeherder Robot 2011-10-10 10:58:16 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=6767755&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-10-10 08:33:47

4285 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1451023 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1516 instances of AtomImpl with size 20 bytes each (30320 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 63 Treeherder Robot 2011-10-10 19:30:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6777112&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitest-other on 2011-10-10 17:48:57

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 64 alexander :surkov 2011-10-10 22:34:23 PDT
Created attachment 566126 [details] [diff] [review]
patch

a log:

Event queue:
  invoke: invalidate row
registered: event type: name changed, target: no target description
registered: event type: name changed, target: no target description
registered: event type: TreeInvalidated, target: no target description

Event type: name changed. Target: ['tree@id="tree" node', address: 0x8605008, role: gridcell, name: 'row1_col1', address: 0x7b6d290]. Listeners count: 1
EQ matched: name changed

4285 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.

insertRow test: change from "row0_col0"/"row1_col1" to "aloha 1x0"/"aloha 1x1"

name changed is fired for old value. I see that mouse move over the tree restores all previous values in the tree what means data.colsText didn't keep new values in  reachable way. It appears this bug is caused by this behavior.
Comment 65 Treeherder Robot 2011-10-10 22:36:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6780537&tree=Mozilla-Inbound
Rev3 WINNT 6.1 mozilla-inbound debug test mochitest-other on 2011-10-10 21:03:49

4274 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1453699 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1516 instances of AtomImpl with size 20 bytes each (30320 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DocumentRule with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of GenericFactory with size 16 bytes
Comment 66 Marco Zehe (:MarcoZ) 2011-10-10 23:47:11 PDT
Comment on attachment 566126 [details] [diff] [review]
patch

r=me. Curious that this is a matter of parameters that this fails intermittently. Thanks for finding it!
Comment 67 alexander :surkov 2011-10-11 08:34:14 PDT
inbound land https://hg.mozilla.org/integration/mozilla-inbound/rev/6bfe61a76eb0
Comment 68 Ed Morley [:emorley] 2011-10-11 16:31:15 PDT
https://hg.mozilla.org/mozilla-central/rev/6bfe61a76eb0
Comment 69 Marco Zehe (:MarcoZ) 2011-10-12 05:39:06 PDT
Alex, do you want to disable logging again for this now that the actual fix landed?
Comment 70 Treeherder Robot 2011-10-18 22:40:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6924493&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitest-other on 2011-10-18 21:16:27

2997 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 71 Treeherder Robot 2011-10-30 23:51:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7118164&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitest-other on 2011-10-30 22:41:36

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 72 Treeherder Robot 2011-10-31 18:37:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7132307&tree=Mozilla-Beta
Rev3 Fedora 12x64 mozilla-beta debug test mochitest-other on 2011-10-31 17:10:41

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 73 Treeherder Robot 2011-11-01 19:22:43 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7153725&tree=Mozilla-Aurora
Rev3 Fedora 12x64 mozilla-aurora debug test mochitest-other on 2011-11-01 17:41:48

TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4127107 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 509 instances of AtomImpl with size 40 bytes each (20360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 14 instances of BodyRule with size 32 bytes each (448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of Connection with size 200 bytes each (400 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of DR_State with size 56 bytes
3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.
Comment 74 Treeherder Robot 2011-11-18 15:18:54 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7450515&tree=Mozilla-Release
Rev3 Fedora 12x64 mozilla-release debug test mochitest-other on 2011-11-17 07:43:53

3008 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/a11y/accessible/events/test_tree.xul | Test timed out.

Note You need to log in before you can comment on or make changes to this bug.